Skip site navigation (1) Skip section navigation (2)

pg_dump and pg_restore not working properly for 8.1

From: Pavlos Stamboulides <pavlos(at)psychology(dot)gr>
To: pgadmin-support(at)postgresql(dot)org
Subject: pg_dump and pg_restore not working properly for 8.1
Date: 2007-04-22 00:23:01
Message-ID: 462AAAE5.2040903@psychology.gr (view raw or flat)
Thread:
Lists: pgadmin-support
I found and resolved an issue.

It is interesting and will surely save a lot of time to many people.

The latest pgAdmin version (1.6.3) comes with the latest 
pg_dump/pg_restore executables (from 8.2.3). At least in Windows, when 
trying to do operations on a 8.1 server, the files it generates and then 
tries to restore will fail with many errors. My messages had to do 
especially with the "owned" keyword not being recognized and subsequent 
error messages for undeclared objects followed.

To fix this, I found the binaries (pg_dump.exe/pg_restore.exe) from 
postgres 8.1 and replaced them in the pgAdmin installation. It worked 
like a charm.

Hope it proves useful to some people.

Should a compatibility version of pg_dump be included in future versions 
of pgAdmin?

Should such info make it in the FAQ or manual?

Greetings,
Pavlos

Responses

pgadmin-support by date

Next:From: Dave PageDate: 2007-04-22 15:37:30
Subject: Re: pg_dump and pg_restore not working properly for 8.1
Previous:From: George HellerDate: 2007-04-20 19:27:05
Subject: Re: Server not listening

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group